Bug 444574 - Review Request: pidgin-lastfm - Display informaiton form Last.fm profile in Pidgin status message
Review Request: pidgin-lastfm - Display informaiton form Last.fm profile in P...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 05:53 EDT by Dominik George
Modified: 2009-05-22 12:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 07:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec patch (1.51 KB, patch)
2008-05-30 13:06 EDT, Xavier Bachelot
no flags Details | Diff

  None (edit)
Description Dominik George 2008-04-29 05:53:03 EDT
Spec URL: http://pidgin-lastfm.naturalnet.de/download/rpm/pidgin-lastfm.spec
SRPM URL: http://pidgin-lastfm.naturalnet.de/download/rpm/pidgin-lastfm-0.3a-1.src.rpm
Description: This plugin for the Pidgin multi-protocol instant messenger displays information from a user's Last.fm profile in the status message. The most important information might be the most recently scrobbled song.
Comment 1 Jason Tibbitts 2008-04-29 14:36:39 EDT
If you set the fedora-review flag to '?', the ticket will not show up on the
list of pending reviews and it will most likely sit around forever without
receiving attention.  That flag should only be set by the reviewer when the
review starts.
Comment 2 Dominik George 2008-04-29 14:44:07 EDT
Oh, ok. I didn't get that :)
Comment 3 Dominik George 2008-05-04 15:52:50 EDT
According to a user, it is necessary to install a package called pidgin-perl to
make the plugin run.

As I can't find it in the Fedora package lists, yould the maintainer or reviewer
please verify that?
Comment 4 Nicolas Chauvet (kwizart) 2008-05-28 09:33:44 EDT
I guess lastfm would be needed for this package.
lastfm isn't present in fedora whereas it is present at rpm.livna.org
So you might submit your package for review there. or rpmfusion.org

I would recommend you to use rpmdev-newspec pidgin-lastfm to create a skeleton
spec file, This will make it more clear.
Comment 5 Dominik George 2008-05-28 12:14:28 EDT
No, this is wrong. The Last.fm player is not needed for the plugin to work.
Additionally, there are many many audio players for Linux that can scrobble at
Last.fm. I even think that most people will not use the Last.fm software, in fact.

As I am using this Spec file for several distributions, it would be good to have
"one for all" ...
Comment 6 Xavier Bachelot 2008-05-30 13:06:25 EDT
Created attachment 307216 [details]
spec patch
Comment 7 Xavier Bachelot 2008-05-30 13:10:10 EDT
If you don't want to use a spec template, you should at least take a look at the
Fedora packaging guidelines. The attached patch bring the spec a bit more in
line with them.

Also, are you already sponsored ? If you do need a sponsor, this bug should
block the FE-NEEDSPONSOR tracker bug. 
Comment 8 Dominik George 2008-06-11 15:20:28 EDT
I'm afraid I can't cope with all that packaging - is there any way of having
this package maintained by someone else?
Comment 9 Jason Tibbitts 2008-06-11 15:29:15 EDT
If you can find someone else who wants to maintain this package then they're
welcome to submit a review ticket for it.  Otherwise, the only thing I can see
to do is to put this package on the wishlist at
http://fedoraproject.org/wiki/PackageMaintainers/WishList and if someone has
free time they can package it up.

But if you don't want to continue with this review then I suppose this ticket
should be closed.
Comment 10 Dominik George 2008-06-12 01:25:37 EDT
No, the current version is OK. Updates should then be done by someone else ...
Comment 11 Jason Tibbitts 2008-06-12 16:22:10 EDT
This package won't be allowed into the distribution without someone to maintain
it.  If you're not that person, then whoever will be the maintainer needs to at
least announce that it this ticket.  Otherwise this ticket should be closed and
the package added to the wishlist.
Comment 12 Dominik George 2008-06-13 07:46:21 EDT
Would someone be so kind as to add the item to the wishlist then? It appears to
me that I can't do that myself (Login/Create account takes me to an HTTP login
dialog ...)

Note You need to log in before you can comment on or make changes to this bug.